> For the complete documentation index, see [llms.txt](https://docs.ecwid.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ecwid.com/changelog/may-2025/may-16/display-product-size-filters-as-buttons-grid.md).

# Display product size filters as buttons grid

#### What's new

When apparel stores use product filters like "Size", they expect product filters for sizes to display as a grid of buttons instead of the default checkbox list. New settings allow you to enable the buttons grid style for displaying product filters on the storefront.&#x20;

#### Changes in API

In the `/profile`  endpoint, a new field is added to objects in the `productFiltersSettings` > `filterSections` array:

* `displayComponent` field sets the display mode for the product filter of the `OPTION` type.

#### Documentation links

{% content-ref url="/spaces/G9n5VxMY9T0Ob3D56PSD/pages/4eQUb3Z4KrDb2CiEHvGI" %}
[Get store profile](/api-reference/rest-api/store-profile/get-store-profile.md)
{% endcontent-ref %}

{% content-ref url="/spaces/G9n5VxMY9T0Ob3D56PSD/pages/iPBc698i21vs0LCxCchj" %}
[Update store profile](/api-reference/rest-api/store-profile/update-store-profile.md)
{% endcontent-ref %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.ecwid.com/changelog/may-2025/may-16/display-product-size-filters-as-buttons-grid.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
